﻿using HealthMonitor.Util.Entities.GpsCard;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Core.Map.GpsCard
{
    public partial class GpsBloodPressReferenceValueMap : GenericEntityTypeConfiguration<GpsBloodPressReferenceValue>
    {
        public override void Configure(EntityTypeBuilder<GpsBloodPressReferenceValue> entity)
        {
            entity.HasKey(e => e.Id)
                  .HasName("PRIMARY");
            //throw new NotImplementedException();
            entity.ToTable("gps_bloodpress_reference");

            entity.Property(e => e.Id)
                .HasColumnName("id")
                .HasColumnType("int(11)");

            entity.Property(e => e.Age)
                .HasColumnName("age")
                .HasColumnType("int(11)");

            entity.Property(e => e.Gender)
                .HasColumnName("gender")
                .HasColumnType("int(11)");


            entity.Property(e => e.Systolic)
                .HasColumnName("systolic")
                .HasColumnType("int(11)");

            entity.Property(e => e.Diastolic)
                .HasColumnName("diastolic")
                .HasColumnType("int(11)");

            entity.Property(e => e.Hypertension)
                .HasColumnName("hypertension")
                .HasColumnType("bit(1)");


            entity.Property(e => e.CreateTime)
                .HasColumnName("create_time")
                .HasColumnType("datetime");

            entity.Property(e => e.UpdateTime)
                .HasColumnName("update_time")
                .HasColumnType("datetime");

        }
    }
}
